<?php
session_start();
include "../conexion.php";
require_once('../include/sesiones.php');

$comd_id=$_POST["id"];
$atributo1=$_POST["atributo1"];
$atributo2=$_POST["atributo2"];
$comt_art_id=$_POST["comt_art_id"];
$art_iva=$_POST["iva"];
$precio=$_POST["precio"];
$cargo_adicional=$_POST["cargo_adicional"]; 
$iva_uni=($precio*$art_iva)/100;
$total_precio=$precio+$iva_uni+$cargo_adicional;

$cantidad_ant=$_POST["cantidad_ant"]; // cantidad compra
$cantidad=$_POST["cantidad"]; //cantidad modificada
$compras_com_id=$_POST["compras_com_id"];
$desc_despu_iva_mod=$_POST["desc_despu_iva_mod"];

$sql=mysqli_query($con,"UPDATE compra_detalle set comd_precio='$precio',comd_cantidad='$cantidad', comd_flete='$cargo_adicional',comd_desc_desp_iva='$desc_despu_iva_mod' where comd_id='$comd_id'") or die(mysqli_error($con));

$cana=mysqli_query($con,"SELECT * from articulos_has_bodegas where atributo1='$atributo1' AND atributo2='$atributo2' and articulos_art_id='$comt_art_id' and sucursal='$sucursal' ") or die(mysqli_error($con)); 
$datoa=mysqli_fetch_array($cana);
$art_id_bod=$datoa['art_id'];
$art_cantidad=$datoa['art_cantidad'];  //cantidad bodega

if ($cantidad>$cantidad_ant) 
{
    $suma=$cantidad-$cantidad_ant;
    $cantidad_v=$art_cantidad+$suma;
}
else if($cantidad<$cantidad_ant)
{
    $resta=$cantidad_ant-$cantidad;
    $cantidad_v=$art_cantidad-$resta;
}
else
{
    $cantidad_v=$art_cantidad;
}

$sql=mysqli_query($con,"UPDATE articulos_has_bodegas set art_cantidad='$cantidad_v' where atributo1='$atributo1' AND atributo2='$atributo2' and articulos_art_id='$comt_art_id' and sucursal='$sucursal'") or die(mysqli_error($con)); 


$can=mysqli_query($con,"SELECT * from kardex_compra where art_id_bod='$art_id_bod' and kar_com_id='$compras_com_id' and kar_art_id='$comt_art_id' ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$kar_cantidad=$dato['kar_cantidad'];
$kar_cantidad_v=$dato['kar_cantidad_v'];

if ($cantidad>$kar_cantidad) 
{
    $suma1=$cantidad-$kar_cantidad;
    $cantidad1=$kar_cantidad_v+$suma1;
}
else if ($cantidad<$kar_cantidad)
{
    
    $resta=$kar_cantidad-$cantidad;
    $cantidad1=$kar_cantidad_v-$resta;
}
else
{
    $cantidad1=$kar_cantidad_v;
}


$sql=mysqli_query($con,"UPDATE kardex_compra set kar_cantidad='$cantidad',
kar_cantidad_v='$cantidad1',
kar_precio='$total_precio' where art_id_bod='$art_id_bod' and kar_com_id='$compras_com_id' and kar_art_id='$comt_art_id'") or die(mysqli_error($con));
			
?>